OpenVDB 12.1.0

Loading...
Searching...
No Matches
cnanovdb_gridblindmetadata Struct Reference

`#include <nanovdb/CNanoVDB.h>`

## Public Attributes
int64_t | mByteOffset
uint64_t | mElementCount
uint32_t | mFlags
uint32_t | mSemantic
uint32_t | mDataClass
uint32_t | mDataType
char | mName [256]
uint8_t | _reserved [(-(sizeof(int64_t)+sizeof(uint64_t)+2 *sizeof(uint32_t)+2 *sizeof(uint32_t)+256 *sizeof(char)) &((32) -1))]

## Member Data Documentation

## ◆ _reserved

uint8_t _reserved[(-(sizeof(int64_t)+sizeof(uint64_t)+2 *sizeof(uint32_t)+2 *sizeof(uint32_t)+256 *sizeof(char)) &((32) -1))]

## ◆ mByteOffset

int64_t mByteOffset

## ◆ mDataClass

uint32_t mDataClass

## ◆ mDataType

uint32_t mDataType

## ◆ mElementCount

uint64_t mElementCount

## ◆ mFlags

uint32_t mFlags

## ◆ mName

char mName[256]

## ◆ mSemantic

uint32_t mSemantic